<style>
table.toppage {
  table-layout: fixed;
}
table.toppage th {
  text-align: center;
  vertical-align: middle;
}
table.toppage td {
  text-align: center;
  vertical-align: middle;
  border: 2px dotted #e1e1e1;
}
table.toppage td.border_inner {
  border-right-width: 2px;
  border-right-style: dotted;
  border-right-color: #e1e1e1;
}
</style>
{% extends "layout.html" %}    <!-- これで元になるHTML(laytout.html)を指定 -->

{% block body %}    <!-- layout.htmlのbodyというブロックを以下で置き換える -->

<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">
      {% if table_docs['page'] == None %}
        <h1>Top Page of LocalDB</h1>
      {% else %}
        <h1 style="margin-top: 0.5%; margin-bottom: 0%; font-size: 150%;"> <a href="/localdb/" style="color:rgba(0, 0, 0, 0.648);;">Top Page</a> > {{table_docs['title']}} </h1>
        <h1>{{ table_docs['title'] }}</h1>
      {% endif %}

    </div>
  </div>
</div>

<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">


      {% if table_docs['page'] == 'components' or table_docs['page']=='scan' %}
        <form class="form-holizontal" role="form" method="get" action="{{ table_docs['page'] }}" accept-charset="UTF-8">
          <h5>
          <input type="search" name="keywords" value="{{ table_docs['keywords'] }}" placeholder="Input keywords">
          {% if table_docs['match'] == 'perfect' %}
            <input type="radio" name="match" value="partial"> Partial match
            <input type="radio" name="match" value="perfect" checked > Perfect match
          {% else %}
            <input type="radio" name="match" value="partial" checked > Partial match
            <input type="radio" name="match" value="perfect"> Perfect match
          {% endif %}
          <button type="submit" class="btn btn-primary" style="padding-top: 0.05%; padding-bottom: 0.05%;">Search</button>
          </h5>
        </form>
        {% if table_docs['page']=='components' %}
          {% include "components_table.html" %}
        {% elif table_docs['page']=='scan' %}
          {% include "scan_table.html" %}
        {% endif %}
        <hr>
        <div class="container">
          <div class="row align-items-center justify-content-center">
            <div class="col">
              <a href="/localdb/">Back to Top Page</a>
            </div>
          </div>
        </div>

        <br>
      {% elif table_docs['page']=='module' %}
        {% include "module_DB.html" %}
      {% endif %}

    </div>
  </div>
</div>

{% if table_docs['page'] == None %}
<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">
      <h2>Browse LocalDB</h2>
      <h4>&nbsp;<a href="{{ url_for('toppage_api.show_comps')}}"><i class="fa fa-desktop "></i> Browse Components</a></h4>
      <h4>&nbsp;<a href="{{ url_for('toppage_api.show_scans')}}"><i class="fa fa-desktop "></i> Browse Scans</a></h4>
      {% if session['logged_in'] %}
      <br>
        <h2>Customize LocalDB</h2>
        <h4>&nbsp;<a href="{{ url_for('tag_api.create_tag') }}"><i class="fa fa-wrench"></i> Create a new Tag</a></h4>
        <h4>&nbsp;<a href="{{ url_for('user_api.rename_sn')}}"><i class="fa fa-wrench"></i> Change components attached to scans</a></h4>
        <h4>&nbsp;<a href="{{ url_for('user_api.scan_stage')}}"><i class="fa fa-wrench"></i> Change scan stage</a></h4>
        <!--<a href="{{ url_for('toppage_api.download_allresult') }}"><h4 style="font-size: 12pt;"><i class="fa fa-cog"></i> Download all results from ITkPD</h4></a>-->
        <br>

        <h2>Manage module serial numbers</h2>
        <h4>&nbsp;<a href="{{ url_for('toppage_api.show_module')}}"><i class="fa fa-upload"></i> Register a new Module to ITkPD</a></h4>
	<h4>&nbsp;<a href="{{ url_for('user_api.download_component') }}"><i class="fa fa-download"></i> Pull components from ITkPD</a></h4>

        {% if table_docs["admin"] == "admin" %}
          <br>
          <h2>Administrate LocalDB</h2>
          <h4>&nbsp;<a href="{{ url_for('user_api.download_pdinfo')}}"><i class="fa fa-cog"></i> Download institution and module types info from ITkPD</a></h4>
          {% if mail %}
          <h4>&nbsp;<a href="{{ url_for('user_api.check_mail')}}"><i class="fa fa-cog"></i> Check mail sending function</a></h4>
          {% endif %}

          <h4>&nbsp;<a href="{{ url_for('user_api.signup')}}"><i class="fa fa-cog"></i> Account Creation</a></h4>
          {% if not mail %}
          <h4>&nbsp;<a href="{{ url_for('user_api.register_password_from_admin')}}"><i class="fa fa-cog"></i> Issue password for LocalDB Users</a></h4>
          {% endif %}
        {% endif %}
      {% endif %}
      <br>

    </div>
  </div>
</div>
{% endif %}

{% endblock %}
